FreeMat

- Main Page
- Related Pages

vtkPointPicker

Section: Visualization Toolkit Rendering Classes

# Usage

To create an instance of class vtkPointPicker, simply invoke its constructor as follows

      obj = vtkPointPicker

# Methods

The class vtkPointPicker has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPointPicker class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPointPicker = obj.NewInstance ()`
- `vtkPointPicker = obj.SafeDownCast (vtkObject o)`
- `vtkIdType = obj.GetPointId ()` - Get the id of the picked point. If PointId = -1, nothing was picked.